#include "RawObject.h"

RawObject::RawObject ()
{
	color[0] = 1.0f;
	color[1] = 1.0f;
	color[2] = 1.0f;
	color[3] = 0.0f;

	emission[0] = 0.5f;
	emission[1] = 0.5f;
	emission[2] = 0.5f;
	emission[3] = 0.5f;
}

RawObject::~RawObject ()
{
	// no nothing
}

void RawObject::SetColor (float red, float green, float blue, float alpha)
{
	color[0] = red;
	color[1] = green;
	color[2] = blue;
	color[3] = alpha;
}

void RawObject::SetEmission (float red, float green, float blue, float alpha)
{
	emission[0] = red;
	emission[1] = green;
	emission[2] = blue;
	emission[3] = alpha;
}
