#ifndef TORUS_SCENE_
#define TORUS_SCENE_

#include "Scene.h"
#include "Geometry.h"

/**
 * \brief A scene that contains many tori.
 *
 * A scene consisting of a torus that is made up of many small tori. Shows off both culling and level 
 * of detail. Uses perlin noise textures.
 */ 
class TorusScene: public Scene
{
public:
	/**
	 * Builds the scene.
	 */
	void Init ();

private:
	/*
	 * Dummy routine used to test some things.
	 */
	void TorusTest (RawObject * raw_object, double r_t, double r_p, int rings, int slices);
};

#endif